package com.ruoyi.project.reliability.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 资产清单对象 t_assetlist
 *
 * @author ruoyi
 * @date 2020-11-27
 */
public class TAssetlist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 序号 */
    @Excel(name = "序号")
    private Long serialnumber;

    /** 资产类别 */
    @Excel(name = "资产类别")
    private String assetclass;

    /** 资产编号 */
    @Excel(name = "资产编号")
    private String assetno;

    /** 参考 */
    @Excel(name = "参考")
    private String assetnoref;

    /** 成本中心 */
    @Excel(name = "成本中心")
    private String costcenter;

    /** 资本化时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "资本化时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date capitalizedon;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 责任人 */
    @Excel(name = "责任人")
    private String responsible;

    /** 房间 */
    @Excel(name = "房间")
    private String room;

    /** 位号 */
    @Excel(name = "位号")
    private String tagno;

    /** 清查结果 */
    @Excel(name = "清查结果")
    private String assetresult;

    /** 说明事项 */
    @Excel(name = "说明事项")
    private String comments;

    /** 经理 */
    @Excel(name = "经理")
    private String ccmanager;

    /** BU */
    @Excel(name = "BU")
    private String bu;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    private String createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private String updaterCode;

    /** 修改时间 */
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 查询开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date startDate;

    /** 查询结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date endDate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setSerialnumber(Long serialnumber)
    {
        this.serialnumber = serialnumber;
    }

    public Long getSerialnumber()
    {
        return serialnumber;
    }
    public void setAssetclass(String assetclass)
    {
        this.assetclass = assetclass;
    }

    public String getAssetclass()
    {
        return assetclass;
    }
    public void setAssetno(String assetno)
    {
        this.assetno = assetno;
    }

    public String getAssetno()
    {
        return assetno;
    }
    public void setAssetnoref(String assetnoref)
    {
        this.assetnoref = assetnoref;
    }

    public String getAssetnoref()
    {
        return assetnoref;
    }
    public void setCostcenter(String costcenter)
    {
        this.costcenter = costcenter;
    }

    public String getCostcenter()
    {
        return costcenter;
    }
    public void setCapitalizedon(Date capitalizedon)
    {
        this.capitalizedon = capitalizedon;
    }

    public Date getCapitalizedon()
    {
        return capitalizedon;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }
    public void setResponsible(String responsible)
    {
        this.responsible = responsible;
    }

    public String getResponsible()
    {
        return responsible;
    }
    public void setRoom(String room)
    {
        this.room = room;
    }

    public String getRoom()
    {
        return room;
    }
    public void setTagno(String tagno)
    {
        this.tagno = tagno;
    }

    public String getTagno()
    {
        return tagno;
    }
    public void setAssetresult(String assetresult)
    {
        this.assetresult = assetresult;
    }

    public String getAssetresult()
    {
        return assetresult;
    }
    public void setComments(String comments)
    {
        this.comments = comments;
    }

    public String getComments()
    {
        return comments;
    }
    public void setCcmanager(String ccmanager)
    {
        this.ccmanager = ccmanager;
    }

    public String getCcmanager()
    {
        return ccmanager;
    }
    public void setBu(String bu)
    {
        this.bu = bu;
    }

    public String getBu()
    {
        return bu;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setStartDate(Date startDate) { this.startDate = startDate; }

    public Date getStartDate() { return startDate; }
    public void setEndDate(Date endDate) { this.endDate = endDate; }

    public Date getEndDate() { return endDate; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("serialnumber", getSerialnumber())
            .append("assetclass", getAssetclass())
            .append("assetno", getAssetno())
            .append("assetnoref", getAssetnoref())
            .append("costcenter", getCostcenter())
            .append("capitalizedon", getCapitalizedon())
            .append("description", getDescription())
            .append("responsible", getResponsible())
            .append("room", getRoom())
            .append("tagno", getTagno())
            .append("assetresult", getAssetresult())
            .append("comments", getComments())
            .append("ccmanager", getCcmanager())
            .append("bu", getBu())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("startDate", getStartDate())
            .append("endDate", getEndDate())
            .toString();
    }
}
